Package org.apache.sysds.hops.fedplanner

## Enum FTypes.FReplication

- java.lang.Object
- - java.lang.Enum<FTypes.FReplication>
  - - org.apache.sysds.hops.fedplanner.FTypes.FReplication

All Implemented Interfaces:
  `Serializable`, `Comparable<FTypes.FReplication>`

Enclosing class:
  FTypes

    public static enum FTypes.FReplication
    extends Enum<FTypes.FReplication>

### Enum Constant Summary

Enum Constants
`FULL`
`NONE`
`OVERLAP`

### Method Summary

All Methods Static Methods Concrete Methods
`static FTypes.FReplication` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FTypes.FReplication[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final FTypes.FReplication NONE

#### FULL

    public static final FTypes.FReplication FULL

#### OVERLAP

    public static final FTypes.FReplication OVERLAP

### Method Detail

#### values

    public static FTypes.FReplication[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FTypes.FReplication c : FTypes.FReplication.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FTypes.FReplication valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null